Android Studio Errore : ( 8, 0 ) Plugin con id ' Android ' non trovato

? user927584 @ | Original: StackOverFlow
---

Ho installato Android Studio ( 0.6.1 ) su OS X ( 10.9.3 ) e Gradle 1.1 utilizzando Brew ( birra installare Gradle ) . Tuttavia, non posso avere il mio primo Ciao Mondo ! progetto ... prego aiutarmi a risolvere questo problema

build.gradle:

    buildscript {
    repositories {
        mavenCentral()
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:0.11.+'
    }
}

apply plugin: 'android'

repositories {
    mavenCentral()
}

android {
    compileSdkVersion 19
    buildToolsVersion '19.1'
    defaultConfig {}
    productFlavors {}
}

dependencies {
}

Error message:

Errore : ( 8, 0 ) Plugin con id ' Android ' non trovato .

http://stackoverflow.com/questions/21646502/getting-build-failed-with-an-exception-android-studio-0-4-3-and-0-4-4 postale e http://stackoverflow.com/questions/18153739/android-studio-plugin-with-id-android-library-not-found post non risolve il problema ...

http://stackoverflow.com/questions/18153739/android-studio-plugin-with-id-android-library-not-found restituisce questo messaggio di errore :

Errore : Il progetto sta usando una versione non supportata di Gradle . Per Favore   utilizzare la versione 1.10 . Si prega di indicare una versione Gradle supportata nella   impostazioni Gradle o in Gradle involucro del progetto del progetto ( se   applicabile . ) Fissare Gradle involucro e   Impostazioni Gradle reimportare progetto

---

Top 5 Risposta

1pyus13 @

Sembra che avete perso aggiungere android Gradle plugin di dipendenza nel blocco dependencies .

Sostituire la sezione superiore buildScript di questo e sincronizzare il progetto con Gradle

 buildscript {
    repositories {
        mavenCentral()
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:0.11.+'
    }
 }

 apply plugin: 'android'

 android {
      compileSdkVersion 19
      buildToolsVersion '19.1.0'
      defaultConfig {
          applicationId 'YOUR_APP_PACKAGE'
          minSdkVersion 9
          targetSdkVersion 17
      }
      buildTypes {
          release {
            runProguard false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.txt'
          }
      }
      productFlavors {   }
  }

  dependencies {

   }
2sherin @

file di build.gradle dentro la mia cartella " app" : PERCORSO : /home/work/ProjectName/app/build.gradle

android {
     compileSdkVersion 19
     buildToolsVersion '19.1.0'

defaultConfig {
    minSdkVersion 11
    targetSdkVersion 19
    versionCode 1
    versionName '1.0'
}


 dependencies {
  compile 'com.android.support:support-v4:18.0.0'
  compile 'com.android.support:appcompat-v7:+'

 }
}

file di build.gradle fuori dalla mia " app" cartella : PERCORSO : /home/work/ProjectName/build.gradle

buildscript {
repositories {
    mavenCentral()
}
dependencies {
    classpath 'com.android.tools.build:gradle:0.11.+'
}
}

allprojects {
repositories {
    mavenCentral()
}
}

Nota dopo tutti questi update sincronizzare il vostro progetto con il file Gradle

3Bao Le @

Mettere sotto codice nel file di build.gradle di applicazione e sincronizzarlo principale.

buildscript {
    repositories {
        mavenCentral()
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:1.0.0'
    }
}

allprojects {
    repositories {
        mavenCentral()
    }
}

Ringraziamo http://stackoverflow.com/questions/24204436/error1-0-plugin-with-id-android-not-found/26114190#26114190